Bug 963643 - [card#290]Should not scale-up V1 application by "rhc cartridge scale" during migration
[card#290]Should not scale-up V1 application by "rhc cartridge scale" during ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 06:11 EDT by chunchen
Modified: 2016-09-29 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version: devenv_3236
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:58:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chunchen 2013-05-16 06:11:28 EDT
Description of problem:
Should not allow scale-up V1 application via 'rhc cartridge scale' before the app being migrated

Version-Release number of selected component (if applicable):
Upgrading devenv-stage_353 to devenv_3232 and migrate

How reproducible:
Always

Steps to Reproduce:
1. Launch devenv-stage_353
2. Create scalable app
3. Add V1 marker to node
touch /var/lib/openshift/.settings/v1_cartridge_format
4. scp -r ~/devenv-local and /etc/yum.repos.d/* from devenv_3232 instance to same location on devenv-stage_353 instance
5. yum update -y --enablerepo devenv-local
6. Run oo-admin-clear-pending-ops
7. Remove the v1 marker from the node
rm -f /var/lib/openshift/.settings/v1_cartridge_format
8. Clear the broker cache
rake tmp:clear
9. Restart the rhc-broker and mcollective
10. Run migrate-mongo-2.0.28 
11. Scale-up this app by "rhc cartridge scale" before run rhc-admin-migrate
rhc cartridge scale php-5.3 -a cphp0s0 --min 3
  
Actual results:
RESULT:

php-5.3 (PHP 5.3)
-----------------
  Scaling: x3 (minimum: 3, maximum: available) on small gears

Success: Scaling values updated

Expected results:
Should not scale-up V1 app during migration and can be show some messages like "Scale up of a V1 app is disabled in v2 mode"

Additional info:
Comment 1 Dan McPherson 2013-05-16 11:52:10 EDT
Note that step 8 isn't clearing the broker cache.  You can do:

oo-admin-broker-cache --clear --console


I don't know that that's the problem you are having (don't think it is).  I am debugging now.
Comment 2 chunchen 2013-05-17 02:41:21 EDT
It's fixed, verified on upgrading devenv-stage_353 to devenv_3235, please refer to the following results:

[root ~]# rhc cartridge scale jbossews-2.0 -a cews2s0 --min 3
Your application is being upgraded and configuration changes can not be made at this time.  Please try again later.

Note You need to log in before you can comment on or make changes to this bug.